package com.brframework.commonapppush.service;

import com.brframework.commonapppush.entity.PushClientInfo;
import com.brframework.commondb.core.EntityService;

/**
 * 客户端信息
 * @author xu
 * @date 2019/11/18 19:20
 */
public interface PushClientInfoService extends EntityService<PushClientInfo, Long, Object> {

    /**
     * 绑定
     * @param userTokens    系统用户标识
     * @param deviceTokens  设备标识
     */
    void binding(String userTokens, String deviceTokens);


    /**
     * 解除用户绑定
     * @param userTokens
     */
    void unbindingByUserTokens(String userTokens);


    /**
     * 解除设备绑定
     * @param deviceTokens
     */
    void unbindingByDeviceTokens(String deviceTokens);

    /**
     * 通过用户查询
     * @param userTokens
     */
    PushClientInfo findByUserTokens(String userTokens);

    /**
     * 通过设备查询
     * @param deviceTokens
     */
    PushClientInfo findByDeviceTokens(String deviceTokens);
}
